/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _CAPTUREM_H
#define _CAPTUREM_H


#include <dnpap.h>
#include <snmp.h>


BOOLEAN CaptureMInit(VOID);

WORD bufferControlIndex (SNMP_OBJECT *Obj, WORD IdLen);
WORD bufferControlChannelIndex (SNMP_OBJECT *Obj, WORD IdLen);
WORD bufferControlFullStatus (SNMP_OBJECT *Obj, WORD IdLen);
WORD bufferControlFullAction (SNMP_OBJECT *Obj, WORD IdLen);
WORD bufferControlCaptureSliceSize (SNMP_OBJECT *Obj, WORD IdLen);
WORD bufferControlDownloadSliceSize (SNMP_OBJECT *Obj, WORD IdLen);
WORD bufferControlDownloadOffset (SNMP_OBJECT *Obj, WORD IdLen);
WORD bufferControlMaxOctetsRequested (SNMP_OBJECT *Obj, WORD IdLen);
WORD bufferControlMaxOctetsGranted (SNMP_OBJECT *Obj, WORD IdLen);
WORD bufferControlCapturedPackets (SNMP_OBJECT *Obj, WORD IdLen);
WORD bufferControlTurnOnTime (SNMP_OBJECT *Obj, WORD IdLen);
WORD bufferControlOwner (SNMP_OBJECT *Obj, WORD IdLen);
WORD bufferControlStatus (SNMP_OBJECT *Obj, WORD IdLen);

WORD captureBufferControlIndex (SNMP_OBJECT *Obj, WORD IdLen);
WORD captureBufferIndex (SNMP_OBJECT *Obj, WORD IdLen);
WORD captureBufferPacketID (SNMP_OBJECT *Obj, WORD IdLen);
WORD captureBufferPacketData (SNMP_OBJECT *Obj, WORD IdLen);
WORD captureBufferPacketLength (SNMP_OBJECT *Obj, WORD IdLen);
WORD captureBufferPacketTime (SNMP_OBJECT *Obj, WORD IdLen);
WORD captureBufferPacketStatus (SNMP_OBJECT *Obj, WORD IdLen);

VOID CapturePkt (LONG channelIndex, PROT_PKT *pkt);


#endif
