/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _DISCCON_H
#define _DISCCON_H


#include <dnpap.h>
#include <snmp.h>
#include <protocol.h>


BOOLEAN DiscConnMInit(VOID);

WORD DiscConnControlIndex(SNMP_OBJECT *obj, WORD idlen);
WORD DiscConnControlDataSource(SNMP_OBJECT *obj, WORD idlen);
WORD DiscConnControlTableSize(SNMP_OBJECT *obj, WORD idlen);
WORD DiscConnControlEthTableSize(SNMP_OBJECT *obj, WORD idlen);
WORD DiscConnControlIPTableSize(SNMP_OBJECT *obj, WORD idlen);
WORD DiscConnControlUDPTableSize(SNMP_OBJECT *obj, WORD idlen);
WORD DiscConnControlTCPTableSize(SNMP_OBJECT *obj, WORD idlen);
WORD DiscConnControlLastDeleteTime(SNMP_OBJECT *obj, WORD idlen);
WORD DiscConnControlOwner(SNMP_OBJECT *obj, WORD idlen);
WORD DiscConnControlStatus(SNMP_OBJECT *obj, WORD idlen);

WORD DiscConnSDEthSourceAddress(SNMP_OBJECT *obj, WORD idlen);
WORD DiscConnSDIPSourceAddress(SNMP_OBJECT *obj, WORD idlen);
WORD DiscConnSDUDPSourceAddress(SNMP_OBJECT *obj, WORD idlen);
WORD DiscConnSDTCPSourceAddress(SNMP_OBJECT *obj, WORD idlen);
WORD DiscConnSDEthDestAddress(SNMP_OBJECT *obj, WORD idlen);
WORD DiscConnSDIPDestAddress(SNMP_OBJECT *obj, WORD idlen);
WORD DiscConnSDUDPDestAddress(SNMP_OBJECT *obj, WORD idlen);
WORD DiscConnSDTCPDestAddress(SNMP_OBJECT *obj, WORD idlen);
WORD DiscConnSDIndex(SNMP_OBJECT *obj, WORD idlen);
WORD DiscConnSDPkts(SNMP_OBJECT *obj, WORD idlen);
WORD DiscConnSDOctets(SNMP_OBJECT *obj, WORD idlen);
WORD DiscConnSDLRUTime(SNMP_OBJECT *obj, WORD idlen);

WORD DiscConnDSEthSourceAddress(SNMP_OBJECT *obj, WORD idlen);
WORD DiscConnDSIPSourceAddress(SNMP_OBJECT *obj, WORD idlen);
WORD DiscConnDSUDPSourceAddress(SNMP_OBJECT *obj, WORD idlen);
WORD DiscConnDSTCPSourceAddress(SNMP_OBJECT *obj, WORD idlen);
WORD DiscConnDSEthDestAddress(SNMP_OBJECT *obj, WORD idlen);
WORD DiscConnDSIPDestAddress(SNMP_OBJECT *obj, WORD idlen);
WORD DiscConnDSUDPDestAddress(SNMP_OBJECT *obj, WORD idlen);
WORD DiscConnDSTCPDestAddress(SNMP_OBJECT *obj, WORD idlen);
WORD DiscConnDSIndex(SNMP_OBJECT *obj, WORD idlen);
WORD DiscConnDSPkts(SNMP_OBJECT *obj, WORD idlen);
WORD DiscConnDSOctets(SNMP_OBJECT *obj, WORD idlen);
WORD DiscConnDSLRUTime(SNMP_OBJECT *obj, WORD idlen);

VOID DiscConnPkt(LONG channelIndex, PROT_PKT *pkt);


#endif

