/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _DISCNOD_H
#define _DISCNOD_H


#include <dnpap.h>
#include <snmp.h>
#include <protocol.h>


BOOLEAN DiscNodeMInit(VOID);

WORD DiscNodeControlIndex(SNMP_OBJECT *Obj, WORD IdLen);
WORD DiscNodeControlDataSource(SNMP_OBJECT *Obj, WORD IdLen);
WORD DiscNodeControlTableSize(SNMP_OBJECT *Obj, WORD IdLen);
WORD DiscNodeControlEthTableSize(SNMP_OBJECT *Obj, WORD IdLen);
WORD DiscNodeControlIPTableSize(SNMP_OBJECT *Obj, WORD IdLen);
WORD DiscNodeControlUDPTableSize(SNMP_OBJECT *Obj, WORD IdLen);
WORD DiscNodeControlTCPTableSize(SNMP_OBJECT *Obj, WORD IdLen);
WORD DiscNodeControlLastDeleteTime(SNMP_OBJECT *Obj, WORD IdLen);
WORD DiscNodeControlOwner(SNMP_OBJECT *Obj, WORD IdLen);
WORD DiscNodeControlStatus(SNMP_OBJECT *Obj, WORD IdLen);

WORD DiscNodeEthAddress(SNMP_OBJECT *Obj, WORD IdLen);
WORD DiscNodeIPAddress(SNMP_OBJECT *Obj, WORD IdLen);
WORD DiscNodeUDPAddress(SNMP_OBJECT *Obj, WORD IdLen);
WORD DiscNodeTCPAddress(SNMP_OBJECT *Obj, WORD IdLen);
WORD DiscNodeCreationOrder(SNMP_OBJECT *Obj, WORD IdLen);
WORD DiscNodeIndex(SNMP_OBJECT *Obj, WORD IdLen);
WORD DiscNodeInPkts(SNMP_OBJECT *Obj, WORD IdLen);
WORD DiscNodeOutPkts(SNMP_OBJECT *Obj, WORD IdLen);
WORD DiscNodeInOctets(SNMP_OBJECT *Obj, WORD IdLen);
WORD DiscNodeOutOctets(SNMP_OBJECT *Obj, WORD IdLen);
WORD DiscNodeLRUTime(SNMP_OBJECT *Obj, WORD IdLen);

WORD DiscNodeTimeEthAddress(SNMP_OBJECT *Obj, WORD IdLen);
WORD DiscNodeTimeIPAddress(SNMP_OBJECT *Obj, WORD IdLen);
WORD DiscNodeTimeUDPAddress(SNMP_OBJECT *Obj, WORD IdLen);
WORD DiscNodeTimeTCPAddress(SNMP_OBJECT *Obj, WORD IdLen);
WORD DiscNodeTimeCreationOrder(SNMP_OBJECT *Obj, WORD IdLen);
WORD DiscNodeTimeIndex(SNMP_OBJECT *Obj, WORD IdLen);
WORD DiscNodeTimeInPkts(SNMP_OBJECT *Obj, WORD IdLen);
WORD DiscNodeTimeOutPkts(SNMP_OBJECT *Obj, WORD IdLen);
WORD DiscNodeTimeInOctets(SNMP_OBJECT *Obj, WORD IdLen);
WORD DiscNodeTimeOutOctets(SNMP_OBJECT *Obj, WORD IdLen);
WORD DiscNodeTimeLRUTime(SNMP_OBJECT *Obj, WORD IdLen);

VOID DiscNodePkt(LONG channelIndex, PROT_PKT *pkt);


#endif
