/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _HOSTX_H
#define _HOSTX_H


#include <dnpap.h>


#define HOST_SZEADDR    6


typedef struct _HOST
{
    BYTE        Address[HOST_SZEADDR];
    ULONG       InPkts;
    ULONG       OutPkts;
    ULONG       InOctets;
    ULONG       OutOctets;
    ULONG       OutErrors;
    ULONG       OutBroadcastPkts;
    ULONG       OutMulticastPkts;

    struct _HOST  *LexPrev;
    struct _HOST  *LexNext;

	struct _HOST  *TimePrev;    
	struct _HOST  *TimeNext;    
    
    struct _HOST  *LRUPrev;
    struct _HOST  *LRUNext;
    
    struct _HOST  **TimeListPtr;
    
} HOST;


#endif
