/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _MATRIX_M_H
#define _MATRIX_M_H


#include <dnpap.h>
#include <snmp.h>


#define HOST_SZEADDR    6


BOOLEAN MatrixMInit(VOID);

WORD MatrixControlIndex(SNMP_OBJECT *obj, WORD idlen);
WORD MatrixControlDataSource(SNMP_OBJECT *obj, WORD idlen);
WORD MatrixControlTableSize(SNMP_OBJECT *obj, WORD idlen);
WORD MatrixControlLastDeleteTime(SNMP_OBJECT *obj, WORD idlen);
WORD MatrixControlOwner(SNMP_OBJECT *obj, WORD idlen);
WORD MatrixControlStatus(SNMP_OBJECT *obj, WORD idlen);

WORD MatrixSDSourceAddress(SNMP_OBJECT *obj, WORD idlen);
WORD MatrixSDDestAddress(SNMP_OBJECT *obj, WORD idlen);
WORD MatrixSDIndex(SNMP_OBJECT *obj, WORD idlen);
WORD MatrixSDPkts(SNMP_OBJECT *obj, WORD idlen);
WORD MatrixSDOctets(SNMP_OBJECT *obj, WORD idlen);
WORD MatrixSDErrors(SNMP_OBJECT *obj, WORD idlen);

WORD MatrixDSSourceAddress(SNMP_OBJECT *obj, WORD idlen);
WORD MatrixDSDestAddress(SNMP_OBJECT *obj, WORD idlen);
WORD MatrixDSIndex(SNMP_OBJECT *obj, WORD idlen);
WORD MatrixDSPkts(SNMP_OBJECT *obj, WORD idlen);
WORD MatrixDSOctets(SNMP_OBJECT *obj, WORD idlen);
WORD MatrixDSErrors(SNMP_OBJECT *obj, WORD idlen);

VOID MatrixPkt(LONG channelIndex, PROT_PKT *pkt);


#endif
