/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#include <stdio.h>
#include <string.h>
#include <dnpap.h>
#include <mibsup.h>
#include <message.h>

#include "dfiltere.h"
#include "dfilterc.h"



BOOLEAN DnpapFilterCInit(DNPAP_FILTER *filter)
{
    filter->Channel = 1;

    filter->PktData = NULL;
    filter->PktDataMask = NULL;
    filter->PktDataNotMask = NULL;

    filter->PktDataLen = 0;
    filter->PktDataMaskLen = 0;
    filter->PktDataNotMaskLen = 0;

    return TRUE;
}


BOOLEAN DnpapFilterCStart(DNPAP_FILTER *filter)
{
WORD i;
    
    filter->PktDataNotMaskAllZero = TRUE;
    for (i = 0; i < filter->PktDataNotMaskLen; i++)
        if (filter->PktDataNotMask[i] != 0x00)
        {
            filter->PktDataNotMaskAllZero = FALSE;
            break;
        }
    return TRUE;
}


BOOLEAN DnpapFilterCStop(DNPAP_FILTER *filter)
{
    DnpapFree(filter->PktData);
    DnpapFree(filter->PktDataMask);
    DnpapFree(filter->PktDataNotMask);
    return TRUE;
}
