/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _DLOG_M_H
#define _DLOG_M_H


#include <dnpap.h>
#include <mibsup.h>


#define RMONLOG_SZEDESCR    256

#define MINALLOCLOGS        25


typedef struct DnpapRmonLog_
{
    LONG  Index;
    ULONG Time;
    CHAR  Description[RMONLOG_SZEDESCR];
    UINT  DescrLen;

} DnpapRmonLog;


WORD DnpapLogEventIndex(SNMP_OBJECT *obj, WORD idlen, DnpapRmonLog *log);
WORD DnpapLogIndex(SNMP_OBJECT *obj, WORD idlen, DnpapRmonLog *log);
WORD DnpapLogTime(SNMP_OBJECT *obj, WORD idlen, DnpapRmonLog *log);
WORD DnpapLogDescription(SNMP_OBJECT *obj, WORD idlen, DnpapRmonLog *log);

DnpapRmonLog *NewDnpapRmonLog(WORD nrlogs);
DnpapRmonLog *ReNewDnpapRmonLog(DnpapRmonLog* ptr, WORD nrlogs, WORD oldnrlogs, WORD maxnrlogs);
VOID DelDnpapRmonLog(DnpapRmonLog* ptr);


#endif
