/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */

#ifndef _DMATRIX_M_H
#define _DMATRIX_M_H


#include <dnpap.h>
#include <snmp.h>


#define HOST_SZEADDR    6


BOOLEAN DnpapMatrixMInit(VOID);

WORD DnpapMatrixControlIndex(SNMP_OBJECT *obj, WORD idlen);
WORD DnpapMatrixControlDataSource(SNMP_OBJECT *obj, WORD idlen);
WORD DnpapMatrixControlTableSize(SNMP_OBJECT *obj, WORD idlen);
WORD DnpapMatrixControlLastDelTime(SNMP_OBJECT *obj, WORD idlen);
WORD DnpapMatrixControlOwner(SNMP_OBJECT *obj, WORD idlen);
WORD DnpapMatrixControlStatus(SNMP_OBJECT *obj, WORD idlen);


WORD DnpapMatrixSDSourceAddress(SNMP_OBJECT *obj, WORD idlen);
WORD DnpapMatrixSDDestAddress(SNMP_OBJECT *obj, WORD idlen);
WORD DnpapMatrixSDIndex(SNMP_OBJECT *obj, WORD idlen);
WORD DnpapMatrixSDRanking(SNMP_OBJECT *obj, WORD idlen);
WORD DnpapMatrixSDPkts(SNMP_OBJECT *obj, WORD idlen);
WORD DnpapMatrixSDOctets(SNMP_OBJECT *obj, WORD idlen);
WORD DnpapMatrixSDErrors(SNMP_OBJECT *obj, WORD idlen);
WORD DnpapMatrixSDConnections(SNMP_OBJECT *obj, WORD idlen);


WORD DnpapMatrixDSSourceAddress(SNMP_OBJECT *obj, WORD idlen);
WORD DnpapMatrixDSDestAddress(SNMP_OBJECT *obj, WORD idlen);
WORD DnpapMatrixDSIndex(SNMP_OBJECT *obj, WORD idlen);
WORD DnpapMatrixDSRanking(SNMP_OBJECT *obj, WORD idlen);
WORD DnpapMatrixDSPkts(SNMP_OBJECT *obj, WORD idlen);
WORD DnpapMatrixDSOctets(SNMP_OBJECT *obj, WORD idlen);
WORD DnpapMatrixDSErrors(SNMP_OBJECT *obj, WORD idlen);
WORD DnpapMatrixDSConnections(SNMP_OBJECT *obj, WORD idlen);


WORD DMatrixSRankTopNSource(SNMP_OBJECT *obj, WORD idlen);
WORD DMatrixSRankTopNDest(SNMP_OBJECT *obj, WORD idlen);
WORD DMatrixSRankTopNIndex(SNMP_OBJECT *obj, WORD idlen);
WORD DMatrixSRankTopNRanking(SNMP_OBJECT *obj, WORD idlen);
WORD DMatrixSRankTopNPkts(SNMP_OBJECT *obj, WORD idlen);
WORD DMatrixSRankTopNOctets(SNMP_OBJECT *obj, WORD idlen);
WORD DMatrixSRankTopNErrors(SNMP_OBJECT *obj, WORD idlen);
WORD DMatrixSRankTopNConnections(SNMP_OBJECT *obj, WORD idlen);


WORD DMatrixDRankTopNSource(SNMP_OBJECT *obj, WORD idlen);
WORD DMatrixDRankTopNDest(SNMP_OBJECT *obj, WORD idlen);
WORD DMatrixDRankTopNIndex(SNMP_OBJECT *obj, WORD idlen);
WORD DMatrixDRankTopNRanking(SNMP_OBJECT *obj, WORD idlen);
WORD DMatrixDRankTopNPkts(SNMP_OBJECT *obj, WORD idlen);
WORD DMatrixDRankTopNOctets(SNMP_OBJECT *obj, WORD idlen);
WORD DMatrixDRankTopNErrors(SNMP_OBJECT *obj, WORD idlen);
WORD DMatrixDRankTopNConnections(SNMP_OBJECT *obj, WORD idlen);



VOID DnpapMatrixPkt(LONG channelIndex, PROT_PKT *pkt);


#endif

