/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _DLPI_H_
#define _DLPI_H_

 
#include <nw.h>
#include <mac.h>
#include <sys/types.h>
#include <sys/socket.h>

      
#define DLPI_MTU 1500


typedef struct _DLPI_DESCR	DLPI_DESCR;


struct _DLPI_DESCR
{
    DLPI_DESCR  *next;
    NW_DG       *nw; 
    MAC_IFACE   *mac;

    ULONG       LostPkts;
    ULONG       Octets;
    ULONG       Pkts;
    ULONG       BroadcastPkts;
    ULONG       MulticastPkts;
    ULONG       CRCAlignErrors;         
    ULONG       UndersizePkts;            
    ULONG       OversizePkts;             
    ULONG       Fragments;
    ULONG       Jabbers;         
    ULONG       Collisions;
    ULONG       BufferedPkts;
    ULONG       StackedPkts;
    ULONG       DiscardedPkts;
    ULONG       TruncatedPkts; 
};           


BOOLEAN DlpiInit(void);
void    DlpiExit(void);


#endif


