include ../../include/gcc_unx.std

SYS	= stack
SYSLIB	= stack

OPTIONS = 

install: chain.ins mac.ins arp.ins ip.ins udp.ins icmp.ins echo.ins ping.ins $(NETIFACE).ins

arp.ins:
	@cd arp $(SEP) \
	$(MAKE) -f gcc_unx.mak install $(OPTIONS) $(SEP) \
	cd ..

ip.ins:
	@cd ip $(SEP) \
	$(MAKE) -f gcc_unx.mak install $(OPTIONS) $(SEP) \
	cd ..

nit.ins:
	@cd nit $(SEP) \
	$(MAKE) -f gcc_unx.mak install $(OPTIONS) $(SEP) \
	cd ..

chain.ins:
	@cd chain $(SEP) \
	$(MAKE) -f gcc_unx.mak install $(OPTIONS) $(SEP) \
	cd ..

mac.ins:
	@cd mac $(SEP) \
	$(MAKE) -f gcc_unx.mak install $(OPTIONS) $(SEP) \
	cd ..
	     
echo.ins:
	@cd echo $(SEP) \
	$(MAKE) -f gcc_unx.mak install $(OPTIONS) $(SEP) \
	cd ..
	
pf.ins:
	@cd pf $(SEP) \
	$(MAKE) -f gcc_unx.mak install $(OPTIONS) $(SEP) \
	cd ..
	
ping.ins:
	@cd ping $(SEP) \
	$(MAKE) -f gcc_unx.mak install $(OPTIONS) $(SEP) \
	cd ..
	
udp.ins:
	@cd udp $(SEP) \
	$(MAKE) -f gcc_unx.mak install $(OPTIONS) $(SEP) \
	cd ..
	
icmp.ins:
	@cd icmp $(SEP) \
	$(MAKE) -f gcc_unx.mak install $(OPTIONS) $(SEP) \
	cd ..
	
clean: arp.cln ip.cln chain.cln mac.cln echo.cln ping.cln udp.cln icmp.cln nit.cln pf.cln

arp.cln:
	@cd arp $(SEP) \
	$(MAKE) -f gcc_unx.mak clean $(OPTIONS) $(SEP) \
	cd ..

ip.cln:
	@cd ip $(SEP) \
	$(MAKE) -f gcc_unx.mak clean $(OPTIONS) $(SEP) \
	cd ..

nit.cln:
	@cd nit $(SEP) \
	$(MAKE) -f gcc_unx.mak clean $(OPTIONS) $(SEP) \
	cd ..

chain.cln:
	@cd chain $(SEP) \
	$(MAKE) -f gcc_unx.mak clean $(OPTIONS) $(SEP) \
	cd ..

mac.cln:
	@cd mac $(SEP) \
	$(MAKE) -f gcc_unx.mak clean $(OPTIONS) $(SEP) \
	cd ..

echo.cln:
	@cd echo $(SEP) \
	$(MAKE) -f gcc_unx.mak clean $(OPTIONS) $(SEP) \
	cd ..
	
pf.cln:
	@cd pf $(SEP) \
	$(MAKE) -f gcc_unx.mak clean $(OPTIONS) $(SEP) \
	cd ..
	
ping.cln:
	@cd ping $(SEP) \
	$(MAKE) -f gcc_unx.mak clean $(OPTIONS) $(SEP) \
	cd ..
	
udp.cln:
	@cd udp $(SEP) \
	$(MAKE) -f gcc_unx.mak clean $(OPTIONS) $(SEP) \
	cd ..
	
icmp.cln:
	@cd icmp $(SEP) \
	$(MAKE) -f gcc_unx.mak clean $(OPTIONS) $(SEP) \
	cd ..

