/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _CHANNEL_H
#define _CHANNEL_H


#include <dnpap.h>
#include <snmp.h>
#include <mac.h>


BOOLEAN ChannelMInit(VOID);

WORD ChannelIndex (SNMP_OBJECT *Obj, WORD IdLen);
WORD ChannelIfIndex (SNMP_OBJECT *Obj, WORD IdLen);
WORD ChannelAcceptType (SNMP_OBJECT *Obj, WORD IdLen);
WORD ChannelDataControl (SNMP_OBJECT *Obj, WORD IdLen);
WORD ChannelTurnOnEventIndex (SNMP_OBJECT *Obj, WORD IdLen);
WORD ChannelTurnOffEventIndex (SNMP_OBJECT *Obj, WORD IdLen);
WORD ChannelEventIndex (SNMP_OBJECT *Obj, WORD IdLen);
WORD ChannelEventStatus (SNMP_OBJECT *Obj, WORD IdLen);
WORD ChannelMatches (SNMP_OBJECT *Obj, WORD IdLen);
WORD ChannelDescription (SNMP_OBJECT *Obj, WORD IdLen);
WORD ChannelOwner (SNMP_OBJECT *Obj, WORD IdLen);
WORD ChannelStatus (SNMP_OBJECT *Obj, WORD IdLen);

VOID ChannelEventGenerated(LONG eventIndex);

MAC_IFACE *ChannelGetIface(LONG channelIndex);

#endif
