/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _PTYPEC_H
#define _PTYPEC_H


#include <dnpap.h>
#include <mac.h>
#include <timer.h>
#include <snmp.h>


typedef struct _PACKET_TYPE
{
    LONG            Source[SNMP_SIZE_BUFINT];
    WORD            SourceLen;
    ULONG           Octets; 
    ULONG           Pkts;
    WORD            Match;
    BYTE            Owner[SNMP_SIZE_BUFCHR];
    WORD            OwnerLen;
    LONG            Status;

    MAC_COLL        Coll;

} PACKET_TYPE;


BOOLEAN PacketTypeCInit (PACKET_TYPE *packetType);
BOOLEAN PacketTypeCStart (PACKET_TYPE *packetType);
BOOLEAN PacketTypeCStop (PACKET_TYPE *packetType);

#endif
