/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _DCAPTUREM_H
#define _DCAPTUREM_H


#include <dnpap.h>
#include <snmp.h>


BOOLEAN DnpapCaptureMInit(VOID);

WORD DBufferControlIndex (SNMP_OBJECT *Obj, WORD IdLen);
WORD DBufferControlChannelIndex (SNMP_OBJECT *Obj, WORD IdLen);
WORD DBufferControlFullStatus (SNMP_OBJECT *Obj, WORD IdLen);
WORD DBufferControlFullAction (SNMP_OBJECT *Obj, WORD IdLen);
WORD DBufferControlCaptureSliceSize (SNMP_OBJECT *Obj, WORD IdLen);
WORD DBufferControlDownloadSliceSize (SNMP_OBJECT *Obj, WORD IdLen);
WORD DBufferControlDownloadOffset (SNMP_OBJECT *Obj, WORD IdLen);
WORD DBufferControlMaxOctetsRqstd (SNMP_OBJECT *Obj, WORD IdLen);
WORD DBufferControlMaxOctetsGranted (SNMP_OBJECT *Obj, WORD IdLen);
WORD DBufferControlCapturedPackets (SNMP_OBJECT *Obj, WORD IdLen);
WORD DBufferControlTurnOnTime (SNMP_OBJECT *Obj, WORD IdLen);
WORD DBufferControlOwner (SNMP_OBJECT *Obj, WORD IdLen);
WORD DBufferControlStatus (SNMP_OBJECT *Obj, WORD IdLen);

WORD DnpapCaptureBufferControlIndex (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapCaptureBufferIndex (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapCaptureBufferPacketID (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapCaptureBufferPacketData (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapCaptureBufferPacketLength (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapCaptureBufferPacketTime (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapCaptureBufferPacketStatus (SNMP_OBJECT *Obj, WORD IdLen);

VOID DnpapCapturePkt(LONG channelIndex, PROT_PKT *pkt);


#endif
