/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _DEVENT_M_H
#define _DEVENT_M_H


#include <dnpap.h>
#include <snmp.h>


BOOLEAN DnpapEventMInit(VOID);

WORD DnpapEventIndex(SNMP_OBJECT* obj, WORD idlen);
WORD DnpapEventDescription(SNMP_OBJECT* obj, WORD idlen);
WORD DnpapEventType(SNMP_OBJECT* obj, WORD idlen);
WORD DnpapEventCommunity(SNMP_OBJECT* obj, WORD idlen);
WORD DnpapEventLastTimeSent(SNMP_OBJECT* obj, WORD idlen);
WORD DnpapEventOwner(SNMP_OBJECT* obj, WORD idlen);
WORD DnpapEventStatus(SNMP_OBJECT* obj, WORD idlen);

WORD DnpapEventLogEventIndex(SNMP_OBJECT *obj, WORD idlen);
WORD DnpapEventLogIndex(SNMP_OBJECT *obj, WORD idlen);
WORD DnpapEventLogTime(SNMP_OBJECT *obj, WORD idlen);
WORD DnpapEventLogDescription(SNMP_OBJECT *obj, WORD idlen);

BOOLEAN DnpapGenerateEvent(CHAR *generator, LONG eventindex, WORD code, WORD specific, SNMP_OBJECT *list, WORD listlen);


#endif
