!include ..\..\..\include\standard.mak

MCFLAGS  = -I. -I..\channel

SYS     = devent
SYSLIB  = dcollect

all: obj doc

doc: $(SYS)m.man $(SYS)u.man

install: all $(INCDIR)\$(SYS).h $(MANDIR)\$(SYS)m.man $(MANDIR)\$(SYS)u.man $(LIBDIR)\$(SYSLIB).lib

$(INCDIR)\$(SYS).h: $(SYS).h
    $(CP) $(SYS).h $(INCDIR)\$(SYS).h

$(MANDIR)\$(SYS)m.man: $(SYS)m.man
    $(CP) $(SYS)m.man $(MANDIR)

$(MANDIR)\$(SYS)u.man: $(SYS)u.man
    $(CP) $(SYS)u.man $(MANDIR)

$(LIBDIR)\$(SYSLIB).lib: $(SYS)m.obj $(SYS)c.obj $(SYS)u.obj
    $(AR) $(LIBDIR)\$(SYSLIB).lib -+$(SYS)m.obj -+$(SYS)c.obj -+$(SYS)u.obj;

obj: $(SYS)m.obj $(SYS)c.obj $(SYS)u.obj

clean:
    - $(RM) *.exe
    - $(RM) *.obj
    - $(RM) *.lib
    - $(RM) *.man
    - $(RM) *.err
    - $(RM) *.bak

$(SYS)m.obj: $(SYS)m.c $(SYS).h $(SYS)c.h $(SYS)d.h $(SYS)e.h

$(SYS)c.obj: $(SYS)c.c $(SYS)c.h $(SYS)d.h $(SYS)e.h

$(SYS)u.obj: $(SYS)u.c $(SYS)u.h
