include ../../include/gcc_unx.std

SYS	= dcollect
SYSLIB	= dcollect

OPTIONS = 

install: filter.ins capture.ins topn.ins host.ins matrix.ins log.ins event.ins channel.ins stat.ins

capture.ins:
	@cd capture $(SEP) \
	$(MAKE) -f gcc_unx.mak install $(OPTIONS) $(SEP) \
	cd ..

channel.ins:
	@cd channel $(SEP) \
	$(MAKE) -f gcc_unx.mak install $(OPTIONS) $(SEP) \
	cd ..

event.ins:
	@cd event $(SEP) \
	$(MAKE) -f gcc_unx.mak install $(OPTIONS) $(SEP) \
	cd ..

filter.ins:
	@cd filter $(SEP) \
	$(MAKE) -f gcc_unx.mak install $(OPTIONS) $(SEP) \
	cd ..

host.ins:
	@cd host $(SEP) \
	$(MAKE) -f gcc_unx.mak install $(OPTIONS) $(SEP) \
	cd ..

log.ins:
	@cd log $(SEP) \
	$(MAKE) -f gcc_unx.mak install $(OPTIONS) $(SEP) \
	cd ..

matrix.ins:
	@cd matrix $(SEP) \
	$(MAKE) -f gcc_unx.mak install $(OPTIONS) $(SEP) \
	cd ..

stat.ins:
	@cd stat $(SEP) \
	$(MAKE) -f gcc_unx.mak install $(OPTIONS) $(SEP) \
	cd ..

topn.ins:
	@cd topn $(SEP) \
	$(MAKE) -f gcc_unx.mak install $(OPTIONS) $(SEP) \
	cd ..


clean: capture.cln channel.cln event.cln filter.cln host.cln log.cln matrix.cln stat.cln topn.cln


capture.cln:
	@cd capture $(SEP) \
	$(MAKE) -f gcc_unx.mak clean $(OPTIONS) $(SEP) \
	cd ..

channel.cln:
	@cd channel $(SEP) \
	$(MAKE) -f gcc_unx.mak clean $(OPTIONS) $(SEP) \
	cd ..

event.cln:
	@cd event $(SEP) \
	$(MAKE) -f gcc_unx.mak clean $(OPTIONS) $(SEP) \
	cd ..

filter.cln:
	@cd filter $(SEP) \
	$(MAKE) -f gcc_unx.mak clean $(OPTIONS) $(SEP) \
	cd ..

host.cln:
	@cd host $(SEP) \
	$(MAKE) -f gcc_unx.mak clean $(OPTIONS) $(SEP) \
	cd ..

matrix.cln:
	@cd matrix $(SEP) \
	$(MAKE) -f gcc_unx.mak clean $(OPTIONS) $(SEP) \
	cd ..

log.cln:
	@cd log $(SEP) \
	$(MAKE) -f gcc_unx.mak clean $(OPTIONS) $(SEP) \
	cd ..

stat.cln:
	@cd stat $(SEP) \
	$(MAKE) -f gcc_unx.mak clean $(OPTIONS) $(SEP) \
	cd ..

topn.cln:
	@cd topn $(SEP) \
	$(MAKE) -f gcc_unx.mak clean $(OPTIONS) $(SEP) \
	cd ..
